PaidGoods

Update a bundle offer

PUT
/v1/stores/{storeId}/bundles/{bundleId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
bundleId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/bundles/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "productIds": [    "ab269553-289b-4dda-82f7-ac36b3555fb3"  ],  "discountBp": -9007199254740991,  "fixedMinor": -9007199254740991,  "currency": "string",  "status": "active",  "items": [    {      "productId": "dcd53ddb-8104-4e48-8cc0-5df1088c6113",      "variantIds": [        "3b10dd1e-3b0a-4d9e-877e-29a218aa634a"      ],      "qty": 1    }  ],  "maxUsesPerCart": -9007199254740991,  "priority": -9007199254740991,  "startsAt": "string",  "endsAt": "string"}